Bug 241325 - few errors popup during running firstboot
Summary: few errors popup during running firstboot
Status: CLOSED DUPLICATE of bug 296711
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-date   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords: Desktop
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-25 05:58 UTC by A S Alam
Modified: 2013-07-03 00:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 15:48:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description A S Alam 2007-05-25 05:58:07 UTC
Description of problem:

following module were showing error:
securitylevel
selinuxPage
system-config-date

Version-Release number of selected component (if applicable):
firstboot-1.4.35-1.fc7
system-config-date-1.9.0-1.fc7
system-config-securitylevel-1.8.0-1.fc7


How reproducible:


Steps to Reproduce:
1. LANG=en_US.UTF-8
2. run firstboot with --reconfig
3.
  
Actual results:
Showing 3 Error windows for 3 modules

Expected results:
Error Free

Additional info:
3 log files are going to add in Comment

---------------
s-c-date
--
Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 497, in loadModules
    result = module.launch()
  File "/usr/share/firstboot/modules/timezone.py", line 74, in launch
    self.setupScreen()
  File "/usr/share/firstboot/modules/timezone.py", line 52, in setupScreen
    self.timezoneWindow = scdMainWindow.scdMainWindow (firstboot = True,
showPages = ["timezone"])
  File "/usr/share/system-config-date/scdMainWindow.py", line 254, in __init__
    self.datePage = date_gui.datePage (self.dateBackend, self.xml)
  File "/usr/share/system-config-date/date_gui.py", line 57, in __init__
    self.cal.select_month(times[1]-1, times[0])
AttributeError: 'NoneType' object has no attribute 'select_month'


--
s-c-securitylevel

Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 497, in loadModules
    result = module.launch()
  File "/usr/share/firstboot/modules/firstboot_selinux.py", line 97, in launch
    self.selinuxPage = selinuxPage.selinuxPage(xml, doDebug, True)
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line 75, in __init__
    self.enabledOptionMenu.set_model(listStore)
AttributeError: 'NoneType' object has no attribute 'set_model'


Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 497, in loadModules
    result = module.launch()
  File "/usr/share/firstboot/modules/securitylevel.py", line 647, in launch
    self.mainVBox.reparent(vbox)
AttributeError: 'NoneType' object has no attribute 'reparent'

Comment 1 Chris Lumens 2007-05-25 15:01:12 UTC
For the second two messages, you need to downgrade to
system-config-securitylevel-1.7.0.  For the first one, I'm reassigning to
system-config-date.

Comment 2 Nils Philippsen 2007-10-09 15:48:40 UTC

*** This bug has been marked as a duplicate of 296711 ***


Note You need to log in before you can comment on or make changes to this bug.